_Eina_Value_Struct_Member Struct Reference
Eina » Data Types » Containers » Generic Value Storage » Generic Value Struct management

Describes a single member of struct. More...

`#include <eina_value.h>`

## Data Fields

const char * | name
| member name, used in lookups such as eina_value_struct_get()
const Eina_Value_Type * | type
| how to use this member
unsigned int | offset
| where this member is located within the structure memory

## Detailed Description

Describes a single member of struct.

The name is used to lookup the member description. This is done as specified as _Eina_Value_Struct_Operations::find_member(). For structures with huge number of members, consider using a better find_member function to quickly finding it! There are two helper operations provided to help this: EINA_VALUE_STRUCT_OPERATIONS_BINSEARCH and EINA_VALUE_STRUCT_OPERATIONS_STRINGSHARE, both depend on properly set _Eina_Value_Struct_Desc and _Eina_Value_Struct_Member.

See also
  EINA_VALUE_STRUCT_MEMBER
  EINA_VALUE_STRUCT_MEMBER_SENTINEL

Since
  1.2